using Microsoft.VisualBasic.CompilerServices;
using System;

//namespace SE0085.StCl
namespace FAS_LIB
{
  public class scOrderLinesInfo
  {
    private int _OrderLineId;
    private int _AssemLineId;
    private string _OrderLineNum;
    private int _OrderLineQty;
    private string _OrderLineSS;
    private string _OrderLineSL;
    private DateTime _OrderLineTargetDt;
    private DateTime _OrderLineShipDt;
    private DateTime _OrderLineShippedDt;
    private bool _OrderLineShipped;
    private DateTime _OrderLineAssyStartDt;

    public int OrderLineId
    {
      get
      {
        return this._OrderLineId;
      }
      set
      {
        this._OrderLineId = value;
      }
    }

    public int AssemblyLineId
    {
      get
      {
        return this._AssemLineId;
      }
      set
      {
        this._AssemLineId = value;
      }
    }

    public string OrderLineNum
    {
      get
      {
        return this._OrderLineNum;
      }
      set
      {
        this._OrderLineNum = value;
      }
    }

    public int OrderLineQty
    {
      get
      {
        return this._OrderLineQty;
      }
      set
      {
        this._OrderLineQty = value;
      }
    }

    public string OrderLineSS
    {
      get
      {
        return this._OrderLineSS;
      }
      set
      {
        this._OrderLineSS = value;
      }
    }

    public string OrderLineSL
    {
      get
      {
        return this._OrderLineSL;
      }
      set
      {
        this._OrderLineSL = value;
      }
    }

    public DateTime OrderLineTargetDt
    {
      get
      {
        return this._OrderLineTargetDt;
      }
      set
      {
        this._OrderLineTargetDt = value;
      }
    }

    public DateTime OrderLineShipDt
    {
      get
      {
        return this._OrderLineShipDt;
      }
      set
      {
        this._OrderLineShipDt = value;
      }
    }

    public DateTime OrderLineShippedDt
    {
      get
      {
        return this._OrderLineShippedDt;
      }
      set
      {
        this._OrderLineShippedDt = value;
      }
    }

    public byte OrderLineShipped
    {
      get
      {
        return this._OrderLineShipped ? (byte) 1 : (byte) 0;
      }
      set
      {
        if ((int) value > 0)
          this._OrderLineShipped = true;
        else
          this._OrderLineShipped = false;
      }
    }

    public bool OrderLineShippedbln
    {
      get
      {
        return this._OrderLineShipped;
      }
      set
      {
        this._OrderLineShipped = value;
      }
    }

    public DateTime OrderLineAssyStartDt
    {
      get
      {
        return this._OrderLineAssyStartDt;
      }
      set
      {
        this._OrderLineAssyStartDt = value;
      }
    }

    public scOrderLinesInfo()
    {
      this._OrderLineId = 0;
      this._AssemLineId = 0;
      this._OrderLineNum = "";
      this._OrderLineQty = 0;
      this._OrderLineSS = "";
      this._OrderLineSL = "";
      this._OrderLineTargetDt = Conversions.ToDate("01/01/1901");
      this._OrderLineShipDt = Conversions.ToDate("01/01/1901");
      this._OrderLineShippedDt = Conversions.ToDate("01/01/1901");
      this._OrderLineShipped = false;
      this._OrderLineAssyStartDt = Conversions.ToDate("01/01/1901");
    }
  }
}
